function coef = coeff_lpc(y, fs, wind, winover, padd, p)

% coef = coeff_lpc(y, fs, wind, winover, padd, p)
% 
% This function returns the Linear Predictive Coefficients (LPC).
% 
% y         - vstupný vektor
% fs        - vzorkovacia frekvencia
% wind      - dĺka okna vo vzorkoch 
% winover   - presah okna vo vzorkoch
% padd      - ak je nastavený na 1, posledný segment bude vyplnený nulami,
%             ak je to potrebné (default: 0)
% NFFT      - počet FFT bodov (default: 2048)
% p         - počet filtrov v banke (default: depending on fs)
% Q         - rád lineárnej predikcie (default: fix(fs/1e3)+2)
% coef      - matica s PLP koeficientami, segmenty sú prepojené so stĺpcami

%% Cesty a premenné
if ((nargin < 3) || (isempty(wind)))
    wind = hamming(0.02*fs); 
end
if ((nargin < 4) || (isempty(winover)))
    winover =  length(wind)/2;
end
if ((nargin < 5) || (isempty(padd)))
    padd = 0;
end
if ((nargin < 6) || (isempty(p)))
    p = fix(fs/1e3) + 2;
end

%% Segmentácia vstupného signálu
[rows, cols] = size(y);
if ((rows == 1) || (cols == 1))
    if (rows < cols)
        y = y.';
    end
    Y = segmentation(y, wind, winover, padd);
else
    Y = y;
end

%% LPC koeficientov
coef = lpc(Y, p).';